#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineLayout" "\0"
  /*  4782 */ "GPUQuerySet" "\0"
  /*  4794 */ "GPUQueue" "\0"
  /*  4803 */ "GPURenderBundle" "\0"
  /*  4819 */ "GPURenderBundleEncoder" "\0"
  /*  4842 */ "GPURenderPassEncoder" "\0"
  /*  4863 */ "GPURenderPipeline" "\0"
  /*  4881 */ "GPUSampler" "\0"
  /*  4892 */ "GPUShaderModule" "\0"
  /*  4908 */ "GPUShaderStage" "\0"
  /*  4923 */ "GPUSupportedFeatures" "\0"
  /*  4944 */ "GPUSupportedLimits" "\0"
  /*  4963 */ "GPUTexture" "\0"
  /*  4974 */ "GPUTextureUsage" "\0"
  /*  4990 */ "GPUTextureView" "\0"
  /*  5005 */ "GPUUncapturedErrorEvent" "\0"
  /*  5029 */ "GPUValidationError" "\0"
  /*  5048 */ "GainNode" "\0"
  /*  5057 */ "Gamepad" "\0"
  /*  5065 */ "GamepadAxisMoveEvent" "\0"
  /*  5086 */ "GamepadButton" "\0"
  /*  5100 */ "GamepadButtonEvent" "\0"
  /*  5119 */ "GamepadEvent" "\0"
  /*  5132 */ "GamepadHapticActuator" "\0"
  /*  5154 */ "GamepadLightIndicator" "\0"
  /*  5176 */ "GamepadPose" "\0"
  /*  5188 */ "GamepadServiceTest" "\0"
  /*  5207 */ "GamepadTouch" "\0"
  /*  5220 */ "Geolocation" "\0"
  /*  5232 */ "GeolocationCoordinates" "\0"
  /*  5255 */ "GeolocationPosition" "\0"
  /*  5275 */ "GeolocationPositionError" "\0"
  /*  5300 */ "GetUserMediaRequest" "\0"
  /*  5320 */ "GleanBoolean" "\0"
  /*  5333 */ "GleanCategory" "\0"
  /*  5347 */ "GleanCounter" "\0"
  /*  5360 */ "GleanCustomDistribution" "\0"
  /*  5384 */ "GleanDatetime" "\0"
  /*  5398 */ "GleanDenominator" "\0"
  /*  5415 */ "GleanEvent" "\0"
  /*  5426 */ "GleanImpl" "\0"
  /*  5436 */ "GleanLabeled" "\0"
  /*  5449 */ "GleanMemoryDistribution" "\0"
  /*  5473 */ "GleanMetric" "\0"
  /*  5485 */ "GleanNumerator" "\0"
  /*  5500 */ "GleanObject" "\0"
  /*  5512 */ "GleanPingsImpl" "\0"
  /*  5527 */ "GleanQuantity" "\0"
  /*  5541 */ "GleanRate" "\0"
  /*  5551 */ "GleanString" "\0"
  /*  5563 */ "GleanStringList" "\0"
  /*  5579 */ "GleanText" "\0"
  /*  5589 */ "GleanTimespan" "\0"
  /*  5603 */ "GleanTimingDistribution" "\0"
  /*  5627 */ "GleanUrl" "\0"
  /*  5636 */ "GleanUuid" "\0"
  /*  5646 */ "Grid" "\0"
  /*  5651 */ "GridArea" "\0"
  /*  5660 */ "GridDimension" "\0"
  /*  5674 */ "GridLine" "\0"
  /*  5683 */ "GridLines" "\0"
  /*  5693 */ "GridTrack" "\0"
  /*  5703 */ "GridTracks" "\0"
  /*  5714 */ "HTMLAllCollection" "\0"
  /*  5732 */ "HTMLAnchorElement" "\0"
  /*  5750 */ "HTMLAreaElement" "\0"
  /*  5766 */ "HTMLAudioElement" "\0"
  /*  5783 */ "HTMLBRElement" "\0"
  /*  5797 */ "HTMLBaseElement" "\0"
  /*  5813 */ "HTMLBodyElement" "\0"
  /*  5829 */ "HTMLButtonElement" "\0"
  /*  5847 */ "HTMLCanvasElement" "\0"
  /*  5865 */ "HTMLCollection" "\0"
  /*  5880 */ "HTMLDListElement" "\0"
  /*  5897 */ "HTMLDataElement" "\0"
  /*  5913 */ "HTMLDataListElement" "\0"
  /*  5933 */ "HTMLDetailsElement" "\0"
  /*  5952 */ "HTMLDialogElement" "\0"
  /*  5970 */ "HTMLDirectoryElement" "\0"
  /*  5991 */ "HTMLDivElement" "\0"
  /*  6006 */ "HTMLDocument" "\0"
  /*  6019 */ "HTMLElement" "\0"
  /*  6031 */ "HTMLEmbedElement" "\0"
  /*  6048 */ "HTMLFieldSetElement" "\0"
  /*  6068 */ "HTMLFontElement" "\0"
  /*  6084 */ "HTMLFormControlsCollection" "\0"
  /*  6111 */ "HTMLFormElement" "\0"
  /*  6127 */ "HTMLFrameElement" "\0"
  /*  6144 */ "HTMLFrameSetElement" "\0"
  /*  6164 */ "HTMLHRElement" "\0"
  /*  6178 */ "HTMLHeadElement" "\0"
  /*  6194 */ "HTMLHeadingElement" "\0"
  /*  6213 */ "HTMLHtmlElement" "\0"
  /*  6229 */ "HTMLIFrameElement" "\0"
  /*  6247 */ "HTMLImageElement" "\0"
  /*  6264 */ "HTMLInputElement" "\0"
  /*  6281 */ "HTMLLIElement" "\0"
  /*  6295 */ "HTMLLabelElement" "\0"
  /*  6312 */ "HTMLLegendElement" "\0"
  /*  6330 */ "HTMLLinkElement" "\0"
  /*  6346 */ "HTMLMapElement" "\0"
  /*  6361 */ "HTMLMarqueeElement" "\0"
  /*  6380 */ "HTMLMediaElement" "\0"
  /*  6397 */ "HTMLMenuElement" "\0"
  /*  6413 */ "HTMLMetaElement" "\0"
  /*  6429 */ "HTMLMeterElement" "\0"
  /*  6446 */ "HTMLModElement" "\0"
  /*  6461 */ "HTMLOListElement" "\0"
  /*  6478 */ "HTMLObjectElement" "\0"
  /*  6496 */ "HTMLOptGroupElement" "\0"
  /*  6516 */ "HTMLOptionElement" "\0"
  /*  6534 */ "HTMLOptionsCollection" "\0"
  /*  6556 */ "HTMLOutputElement" "\0"
  /*  6574 */ "HTMLParagraphElement" "\0"
  /*  6595 */ "HTMLParamElement" "\0"
  /*  6612 */ "HTMLPictureElement" "\0"
  /*  6631 */ "HTMLPreElement" "\0"
  /*  6646 */ "HTMLProgressElement" "\0"
  /*  6666 */ "HTMLQuoteElement" "\0"
  /*  6683 */ "HTMLScriptElement" "\0"
  /*  6701 */ "HTMLSelectElement" "\0"
  /*  6719 */ "HTMLSlotElement" "\0"
  /*  6735 */ "HTMLSourceElement" "\0"
  /*  6753 */ "HTMLSpanElement" "\0"
  /*  6769 */ "HTMLStyleElement" "\0"
  /*  6786 */ "HTMLTableCaptionElement" "\0"
  /*  6810 */ "HTMLTableCellElement" "\0"
  /*  6831 */ "HTMLTableColElement" "\0"
  /*  6851 */ "HTMLTableElement" "\0"
  /*  6868 */ "HTMLTableRowElement" "\0"
  /*  6888 */ "HTMLTableSectionElement" "\0"
  /*  6912 */ "HTMLTemplateElement" "\0"
  /*  6932 */ "HTMLTextAreaElement" "\0"
  /*  6952 */ "HTMLTimeElement" "\0"
  /*  6968 */ "HTMLTitleElement" "\0"
  /*  6985 */ "HTMLTrackElement" "\0"
  /*  7002 */ "HTMLUListElement" "\0"
  /*  7019 */ "HTMLUnknownElement" "\0"
  /*  7038 */ "HTMLVideoElement" "\0"
  /*  7055 */ "HashChangeEvent" "\0"
  /*  7071 */ "Headers" "\0"
  /*  7079 */ "Headers Iterator" "\0"
  /*  7096 */ "HeapSnapshot" "\0"
  /*  7109 */ "Highlight" "\0"
  /*  7119 */ "HighlightRegistry" "\0"
  /*  7137 */ "History" "\0"
  /*  7145 */ "IDBCursor" "\0"
  /*  7155 */ "IDBCursorWithValue" "\0"
  /*  7174 */ "IDBDatabase" "\0"
  /*  7186 */ "IDBFactory" "\0"
  /*  7197 */ "IDBIndex" "\0"
  /*  7206 */ "IDBKeyRange" "\0"
  /*  7218 */ "IDBObjectStore" "\0"
  /*  7233 */ "IDBOpenDBRequest" "\0"
  /*  7250 */ "IDBRequest" "\0"
  /*  7261 */ "IDBTransaction" "\0"
  /*  7276 */ "IDBVersionChangeEvent" "\0"
  /*  7298 */ "IIRFilterNode" "\0"
  /*  7312 */ "IOUtils" "\0"
  /*  7320 */ "IdentityCredential" "\0"
  /*  7339 */ "IdleDeadline" "\0"
  /*  7352 */ "Image" "\0"
  /*  7358 */ "ImageBitmap" "\0"
  /*  7370 */ "ImageBitmapRenderingContext" "\0"
  /*  7398 */ "ImageCapture" "\0"
  /*  7411 */ "ImageCaptureError" "\0"
  /*  7429 */ "ImageCaptureErrorEvent" "\0"
  /*  7452 */ "ImageData" "\0"
  /*  7462 */ "ImageDecoder" "\0"
  /*  7475 */ "ImageDocument" "\0"
  /*  7489 */ "ImageTrack" "\0"
  /*  7500 */ "ImageTrackList" "\0"
  /*  7515 */ "InputEvent" "\0"
  /*  7526 */ "InspectorCSSParser" "\0"
  /*  7545 */ "InspectorFontFace" "\0"
  /*  7563 */ "InspectorUtils" "\0"
  /*  7578 */ "InstallTriggerImpl" "\0"
  /*  7597 */ "IntersectionObserver" "\0"
  /*  7618 */ "IntersectionObserverEntry" "\0"
  /*  7644 */ "IntlUtils" "\0"
  /*  7654 */ "InvokeEvent" "\0"
  /*  7666 */ "JSProcessActorChild" "\0"
  /*  7686 */ "JSProcessActorParent" "\0"
  /*  7707 */ "JSWindowActorChild" "\0"
  /*  7726 */ "JSWindowActorParent" "\0"
  /*  7746 */ "KeyEvent" "\0"
  /*  7755 */ "KeyboardEvent" "\0"
  /*  7769 */ "KeyframeEffect" "\0"
  /*  7784 */ "L10nFileSource" "\0"
  /*  7799 */ "L10nOverlays" "\0"
  /*  7812 */ "L10nRegistry" "\0"
  /*  7825 */ "LargestContentfulPaint" "\0"
  /*  7848 */ "LegacyMozTCPSocket" "\0"
  /*  7867 */ "Localization" "\0"
  /*  7880 */ "Location" "\0"
  /*  7889 */ "Lock" "\0"
  /*  7894 */ "LockManager" "\0"
  /*  7906 */ "MIDIAccess" "\0"
  /*  7917 */ "MIDIConnectionEvent" "\0"
  /*  7937 */ "MIDIInput" "\0"
  /*  7947 */ "MIDIInputMap" "\0"
  /*  7960 */ "MIDIMessageEvent" "\0"
  /*  7977 */ "MIDIOutput" "\0"
  /*  7988 */ "MIDIOutputMap" "\0"
  /*  8002 */ "MIDIPort" "\0"
  /*  8011 */ "MLS" "\0"
  /*  8015 */ "MLSGroupView" "\0"
  /*  8028 */ "MOZ_debug" "\0"
  /*  8038 */ "MatchGlob" "\0"
  /*  8048 */ "MatchPattern" "\0"
  /*  8061 */ "MatchPatternSet" "\0"
  /*  8077 */ "MathMLElement" "\0"
  /*  8091 */ "MediaCapabilities" "\0"
  /*  8109 */ "MediaControlService" "\0"
  /*  8129 */ "MediaController" "\0"
  /*  8145 */ "MediaDeviceInfo" "\0"
  /*  8161 */ "MediaDevices" "\0"
  /*  8174 */ "MediaElementAudioSourceNode" "\0"
  /*  8202 */ "MediaEncryptedEvent" "\0"
  /*  8222 */ "MediaError" "\0"
  /*  8233 */ "MediaKeyError" "\0"
  /*  8247 */ "MediaKeyMessageEvent" "\0"
  /*  8268 */ "MediaKeySession" "\0"
  /*  8284 */ "MediaKeyStatusMap" "\0"
  /*  8302 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8329 */ "MediaKeySystemAccess" "\0"
  /*  8350 */ "MediaKeys" "\0"
  /*  8360 */ "MediaList" "\0"
  /*  8370 */ "MediaMetadata" "\0"
  /*  8384 */ "MediaQueryList" "\0"
  /*  8399 */ "MediaQueryListEvent" "\0"
  /*  8419 */ "MediaRecorder" "\0"
  /*  8433 */ "MediaRecorderErrorEvent" "\0"
  /*  8457 */ "MediaSession" "\0"
  /*  8470 */ "MediaSource" "\0"
  /*  8482 */ "MediaStream" "\0"
  /*  8494 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8526 */ "MediaStreamAudioSourceNode" "\0"
  /*  8553 */ "MediaStreamError" "\0"
  /*  8570 */ "MediaStreamEvent" "\0"
  /*  8587 */ "MediaStreamTrack" "\0"
  /*  8604 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8636 */ "MediaStreamTrackEvent" "\0"
  /*  8658 */ "MerchantValidationEvent" "\0"
  /*  8682 */ "MessageBroadcaster" "\0"
  /*  8701 */ "MessageChannel" "\0"
  /*  8716 */ "MessageEvent" "\0"
  /*  8729 */ "MessageListenerManager" "\0"
  /*  8752 */ "MessagePort" "\0"
  /*  8764 */ "MessageSender" "\0"
  /*  8778 */ "MimeType" "\0"
  /*  8787 */ "MimeTypeArray" "\0"
  /*  8801 */ "MouseEvent" "\0"
  /*  8812 */ "MouseScrollEvent" "\0"
  /*  8829 */ "MozCanvasPrintState" "\0"
  /*  8849 */ "MozDocumentMatcher" "\0"
  /*  8868 */ "MozDocumentObserver" "\0"
  /*  8888 */ "MozQueryInterface" "\0"
  /*  8906 */ "MozSharedMap" "\0"
  /*  8919 */ "MozSharedMap Iterator" "\0"
  /*  8941 */ "MozSharedMapChangeEvent" "\0"
  /*  8965 */ "MozStorageAsyncStatementParams" "\0"
  /*  8996 */ "MozStorageStatementParams" "\0"
  /*  9022 */ "MozStorageStatementRow" "\0"
  /*  9045 */ "MozWritableSharedMap" "\0"
  /*  9066 */ "MutationEvent" "\0"
  /*  9080 */ "MutationObserver" "\0"
  /*  9097 */ "MutationRecord" "\0"
  /*  9112 */ "NamedNodeMap" "\0"
  /*  9125 */ "NavigateEvent" "\0"
  /*  9139 */ "Navigation" "\0"
  /*  9150 */ "NavigationActivation" "\0"
  /*  9171 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9205 */ "NavigationDestination" "\0"
  /*  9227 */ "NavigationHistoryEntry" "\0"
  /*  9250 */ "NavigationPreloadManager" "\0"
  /*  9275 */ "NavigationTransition" "\0"
  /*  9296 */ "Navigator" "\0"
  /*  9306 */ "NavigatorLogin" "\0"
  /*  9321 */ "NetworkInformation" "\0"
  /*  9340 */ "Node" "\0"
  /*  9345 */ "NodeFilter" "\0"
  /*  9356 */ "NodeIterator" "\0"
  /*  9369 */ "NodeList" "\0"
  /*  9378 */ "Notification" "\0"
  /*  9391 */ "NotificationEvent" "\0"
  /*  9409 */ "NotifyPaintEvent" "\0"
  /*  9426 */ "OES_draw_buffers_indexed" "\0"
  /*  9451 */ "OES_element_index_uint" "\0"
  /*  9474 */ "OES_fbo_render_mipmap" "\0"
  /*  9496 */ "OES_standard_derivatives" "\0"
  /*  9521 */ "OES_texture_float" "\0"
  /*  9539 */ "OES_texture_float_linear" "\0"
  /*  9564 */ "OES_texture_half_float" "\0"
  /*  9587 */ "OES_texture_half_float_linear" "\0"
  /*  9617 */ "OES_vertex_array_object" "\0"
  /*  9641 */ "OVR_multiview2" "\0"
  /*  9656 */ "OfflineAudioCompletionEvent" "\0"
  /*  9684 */ "OfflineAudioContext" "\0"
  /*  9704 */ "OffscreenCanvas" "\0"
  /*  9720 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9754 */ "Option" "\0"
  /*  9761 */ "OscillatorNode" "\0"
  /*  9776 */ "PageTransitionEvent" "\0"
  /*  9796 */ "PaintRequest" "\0"
  /*  9809 */ "PaintRequestList" "\0"
  /*  9826 */ "PaintWorkletGlobalScope" "\0"
  /*  9850 */ "PannerNode" "\0"
  /*  9861 */ "ParentProcessMessageManager" "\0"
  /*  9889 */ "Path2D" "\0"
  /*  9896 */ "PathUtils" "\0"
  /*  9906 */ "PaymentAddress" "\0"
  /*  9921 */ "PaymentMethodChangeEvent" "\0"
  /*  9946 */ "PaymentRequest" "\0"
  /*  9961 */ "PaymentRequestUpdateEvent" "\0"
  /*  9987 */ "PaymentResponse" "\0"
  /* 10003 */ "PeerConnectionImpl" "\0"
  /* 10022 */ "PeerConnectionObserver" "\0"
  /* 10045 */ "Performance" "\0"
  /* 10057 */ "PerformanceEntry" "\0"
  /* 10074 */ "PerformanceEntryEvent" "\0"
  /* 10096 */ "PerformanceEventTiming" "\0"
  /* 10119 */ "PerformanceMark" "\0"
  /* 10135 */ "PerformanceMeasure" "\0"
  /* 10154 */ "PerformanceNavigation" "\0"
  /* 10176 */ "PerformanceNavigationTiming" "\0"
  /* 10204 */ "PerformanceObserver" "\0"
  /* 10224 */ "PerformanceObserverEntryList" "\0"
  /* 10253 */ "PerformancePaintTiming" "\0"
  /* 10276 */ "PerformanceResourceTiming" "\0"
  /* 10302 */ "PerformanceServerTiming" "\0"
  /* 10326 */ "PerformanceTiming" "\0"
  /* 10344 */ "PeriodicWave" "\0"
  /* 10357 */ "PermissionStatus" "\0"
  /* 10374 */ "Permissions" "\0"
  /* 10386 */ "PlacesBookmark" "\0"
  /* 10401 */ "PlacesBookmarkAddition" "\0"
  /* 10424 */ "PlacesBookmarkChanged" "\0"
  /* 10446 */ "PlacesBookmarkGuid" "\0"
  /* 10465 */ "PlacesBookmarkKeyword" "\0"
  /* 10487 */ "PlacesBookmarkMoved" "\0"
  /* 10507 */ "PlacesBookmarkRemoved" "\0"
  /* 10529 */ "PlacesBookmarkTags" "\0"
  /* 10548 */ "PlacesBookmarkTime" "\0"
  /* 10567 */ "PlacesBookmarkTitle" "\0"
  /* 10587 */ "PlacesBookmarkUrl" "\0"
  /* 10605 */ "PlacesEvent" "\0"
  /* 10617 */ "PlacesEventCounts" "\0"
  /* 10635 */ "PlacesFavicon" "\0"
  /* 10649 */ "PlacesHistoryCleared" "\0"
  /* 10670 */ "PlacesObservers" "\0"
  /* 10686 */ "PlacesPurgeCaches" "\0"
  /* 10704 */ "PlacesRanking" "\0"
  /* 10718 */ "PlacesVisit" "\0"
  /* 10730 */ "PlacesVisitRemoved" "\0"
  /* 10749 */ "PlacesVisitTitle" "\0"
  /* 10766 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10792 */ "Plugin" "\0"
  /* 10799 */ "PluginArray" "\0"
  /* 10811 */ "PluginCrashedEvent" "\0"
  /* 10830 */ "PointerEvent" "\0"
  /* 10843 */ "PopStateEvent" "\0"
  /* 10857 */ "PopupBlockedEvent" "\0"
  /* 10875 */ "PopupPositionedEvent" "\0"
  /* 10896 */ "PositionStateEvent" "\0"
  /* 10915 */ "PrecompiledScript" "\0"
  /* 10933 */ "PrivateAttribution" "\0"
  /* 10952 */ "ProcessMessageManager" "\0"
  /* 10974 */ "ProcessingInstruction" "\0"
  /* 10996 */ "ProgressEvent" "\0"
  /* 11010 */ "PromiseDebugging" "\0"
  /* 11027 */ "PromiseNativeHandler" "\0"
  /* 11048 */ "PromiseRejectionEvent" "\0"
  /* 11070 */ "PublicKeyCredential" "\0"
  /* 11090 */ "PushEvent" "\0"
  /* 11100 */ "PushManager" "\0"
  /* 11112 */ "PushManagerImpl" "\0"
  /* 11128 */ "PushMessageData" "\0"
  /* 11144 */ "PushSubscription" "\0"
  /* 11161 */ "PushSubscriptionChangeEvent" "\0"
  /* 11189 */ "PushSubscriptionOptions" "\0"
  /* 11213 */ "RTCCertificate" "\0"
  /* 11228 */ "RTCDTMFSender" "\0"
  /* 11242 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11265 */ "RTCDataChannel" "\0"
  /* 11280 */ "RTCDataChannelEvent" "\0"
  /* 11300 */ "RTCDtlsTransport" "\0"
  /* 11317 */ "RTCEncodedAudioFrame" "\0"
  /* 11338 */ "RTCEncodedVideoFrame" "\0"
  /* 11359 */ "RTCIceCandidate" "\0"
  /* 11375 */ "RTCIceTransport" "\0"
  /* 11391 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11420 */ "RTCPeerConnection" "\0"
  /* 11438 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11464 */ "RTCPeerConnectionStatic" "\0"
  /* 11488 */ "RTCRtpReceiver" "\0"
  /* 11503 */ "RTCRtpScriptTransform" "\0"
  /* 11525 */ "RTCRtpScriptTransformer" "\0"
  /* 11549 */ "RTCRtpSender" "\0"
  /* 11562 */ "RTCRtpTransceiver" "\0"
  /* 11580 */ "RTCSctpTransport" "\0"
  /* 11597 */ "RTCSessionDescription" "\0"
  /* 11619 */ "RTCStatsReport" "\0"
  /* 11634 */ "RTCTrackEvent" "\0"
  /* 11648 */ "RTCTransformEvent" "\0"
  /* 11666 */ "RadioNodeList" "\0"
  /* 11680 */ "Range" "\0"
  /* 11686 */ "ReadableByteStreamController" "\0"
  /* 11715 */ "ReadableStream" "\0"
  /* 11730 */ "ReadableStream AsyncIterator" "\0"
  /* 11759 */ "ReadableStreamBYOBReader" "\0"
  /* 11784 */ "ReadableStreamBYOBRequest" "\0"
  /* 11810 */ "ReadableStreamDefaultController" "\0"
  /* 11842 */ "ReadableStreamDefaultReader" "\0"
  /* 11870 */ "Report" "\0"
  /* 11877 */ "ReportBody" "\0"
  /* 11888 */ "ReportingObserver" "\0"
  /* 11906 */ "Request" "\0"
  /* 11914 */ "ResizeObserver" "\0"
  /* 11929 */ "ResizeObserverEntry" "\0"
  /* 11949 */ "ResizeObserverSize" "\0"
  /* 11968 */ "Response" "\0"
  /* 11977 */ "SVGAElement" "\0"
  /* 11989 */ "SVGAngle" "\0"
  /* 11998 */ "SVGAnimateElement" "\0"
  /* 12016 */ "SVGAnimateMotionElement" "\0"
  /* 12040 */ "SVGAnimateTransformElement" "\0"
  /* 12067 */ "SVGAnimatedAngle" "\0"
  /* 12084 */ "SVGAnimatedBoolean" "\0"
  /* 12103 */ "SVGAnimatedEnumeration" "\0"
  /* 12126 */ "SVGAnimatedInteger" "\0"
  /* 12145 */ "SVGAnimatedLength" "\0"
  /* 12163 */ "SVGAnimatedLengthList" "\0"
  /* 12185 */ "SVGAnimatedNumber" "\0"
  /* 12203 */ "SVGAnimatedNumberList" "\0"
  /* 12225 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12256 */ "SVGAnimatedRect" "\0"
  /* 12272 */ "SVGAnimatedString" "\0"
  /* 12290 */ "SVGAnimatedTransformList" "\0"
  /* 12315 */ "SVGAnimationElement" "\0"
  /* 12335 */ "SVGCircleElement" "\0"
  /* 12352 */ "SVGClipPathElement" "\0"
  /* 12371 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12407 */ "SVGDefsElement" "\0"
  /* 12422 */ "SVGDescElement" "\0"
  /* 12437 */ "SVGDiscardElement" "\0"
  /* 12455 */ "SVGElement" "\0"
  /* 12466 */ "SVGEllipseElement" "\0"
  /* 12484 */ "SVGFEBlendElement" "\0"
  /* 12502 */ "SVGFEColorMatrixElement" "\0"
  /* 12526 */ "SVGFEComponentTransferElement" "\0"
  /* 12556 */ "SVGFECompositeElement" "\0"
  /* 12578 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12605 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12633 */ "SVGFEDisplacementMapElement" "\0"
  /* 12661 */ "SVGFEDistantLightElement" "\0"
  /* 12686 */ "SVGFEDropShadowElement" "\0"
  /* 12709 */ "SVGFEFloodElement" "\0"
  /* 12727 */ "SVGFEFuncAElement" "\0"
  /* 12745 */ "SVGFEFuncBElement" "\0"
  /* 12763 */ "SVGFEFuncGElement" "\0"
  /* 12781 */ "SVGFEFuncRElement" "\0"
  /* 12799 */ "SVGFEGaussianBlurElement" "\0"
  /* 12824 */ "SVGFEImageElement" "\0"
  /* 12842 */ "SVGFEMergeElement" "\0"
  /* 12860 */ "SVGFEMergeNodeElement" "\0"
  /* 12882 */ "SVGFEMorphologyElement" "\0"
  /* 12905 */ "SVGFEOffsetElement" "\0"
  /* 12924 */ "SVGFEPointLightElement" "\0"
  /* 12947 */ "SVGFESpecularLightingElement" "\0"
  /* 12976 */ "SVGFESpotLightElement" "\0"
  /* 12998 */ "SVGFETileElement" "\0"
  /* 13015 */ "SVGFETurbulenceElement" "\0"
  /* 13038 */ "SVGFilterElement" "\0"
  /* 13055 */ "SVGForeignObjectElement" "\0"
  /* 13079 */ "SVGGElement" "\0"
  /* 13091 */ "SVGGeometryElement" "\0"
  /* 13110 */ "SVGGradientElement" "\0"
  /* 13129 */ "SVGGraphicsElement" "\0"
  /* 13148 */ "SVGImageElement" "\0"
  /* 13164 */ "SVGLength" "\0"
  /* 13174 */ "SVGLengthList" "\0"
  /* 13188 */ "SVGLineElement" "\0"
  /* 13203 */ "SVGLinearGradientElement" "\0"
  /* 13228 */ "SVGMPathElement" "\0"
  /* 13244 */ "SVGMarkerElement" "\0"
  /* 13261 */ "SVGMaskElement" "\0"
  /* 13276 */ "SVGMatrix" "\0"
  /* 13286 */ "SVGMetadataElement" "\0"
  /* 13305 */ "SVGNumber" "\0"
  /* 13315 */ "SVGNumberList" "\0"
  /* 13329 */ "SVGPathElement" "\0"
  /* 13344 */ "SVGPathSegment" "\0"
  /* 13359 */ "SVGPatternElement" "\0"
  /* 13377 */ "SVGPoint" "\0"
  /* 13386 */ "SVGPointList" "\0"
  /* 13399 */ "SVGPolygonElement" "\0"
  /* 13417 */ "SVGPolylineElement" "\0"
  /* 13436 */ "SVGPreserveAspectRatio" "\0"
  /* 13459 */ "SVGRadialGradientElement" "\0"
  /* 13484 */ "SVGRect" "\0"
  /* 13492 */ "SVGRectElement" "\0"
  /* 13507 */ "SVGSVGElement" "\0"
  /* 13521 */ "SVGScriptElement" "\0"
  /* 13538 */ "SVGSetElement" "\0"
  /* 13552 */ "SVGStopElement" "\0"
  /* 13567 */ "SVGStringList" "\0"
  /* 13581 */ "SVGStyleElement" "\0"
  /* 13597 */ "SVGSwitchElement" "\0"
  /* 13614 */ "SVGSymbolElement" "\0"
  /* 13631 */ "SVGTSpanElement" "\0"
  /* 13647 */ "SVGTextContentElement" "\0"
  /* 13669 */ "SVGTextElement" "\0"
  /* 13684 */ "SVGTextPathElement" "\0"
  /* 13703 */ "SVGTextPositioningElement" "\0"
  /* 13729 */ "SVGTitleElement" "\0"
  /* 13745 */ "SVGTransform" "\0"
  /* 13758 */ "SVGTransformList" "\0"
  /* 13775 */ "SVGUnitTypes" "\0"
  /* 13788 */ "SVGUseElement" "\0"
  /* 13802 */ "SVGViewElement" "\0"
  /* 13817 */ "Sanitizer" "\0"
  /* 13827 */ "Scheduler" "\0"
  /* 13837 */ "Screen" "\0"
  /* 13844 */ "ScreenLuminance" "\0"
  /* 13860 */ "ScreenOrientation" "\0"
  /* 13878 */ "ScriptProcessorNode" "\0"
  /* 13898 */ "ScrollAreaEvent" "\0"
  /* 13914 */ "ScrollViewChangeEvent" "\0"
  /* 13936 */ "SecurityPolicyViolationEvent" "\0"
  /* 13965 */ "Selection" "\0"
  /* 13975 */ "ServiceWorker" "\0"
  /* 13989 */ "ServiceWorkerContainer" "\0"
  /* 14012 */ "ServiceWorkerGlobalScope" "\0"
  /* 14037 */ "ServiceWorkerRegistration" "\0"
  /* 14063 */ "SessionStoreFormData" "\0"
  /* 14084 */ "SessionStoreScrollData" "\0"
  /* 14107 */ "SessionStoreUtils" "\0"
  /* 14125 */ "ShadowRealmGlobalScope" "\0"
  /* 14148 */ "ShadowRoot" "\0"
  /* 14159 */ "SharedWorker" "\0"
  /* 14172 */ "SharedWorkerGlobalScope" "\0"
  /* 14196 */ "SimpleGestureEvent" "\0"
  /* 14215 */ "SourceBuffer" "\0"
  /* 14228 */ "SourceBufferList" "\0"
  /* 14245 */ "SpeechGrammar" "\0"
  /* 14259 */ "SpeechGrammarList" "\0"
  /* 14277 */ "SpeechRecognition" "\0"
  /* 14295 */ "SpeechRecognitionAlternative" "\0"
  /* 14324 */ "SpeechRecognitionError" "\0"
  /* 14347 */ "SpeechRecognitionEvent" "\0"
  /* 14370 */ "SpeechRecognitionResult" "\0"
  /* 14394 */ "SpeechRecognitionResultList" "\0"
  /* 14422 */ "SpeechSynthesis" "\0"
  /* 14438 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14464 */ "SpeechSynthesisEvent" "\0"
  /* 14485 */ "SpeechSynthesisUtterance" "\0"
  /* 14510 */ "SpeechSynthesisVoice" "\0"
  /* 14531 */ "StaticRange" "\0"
  /* 14543 */ "StereoPannerNode" "\0"
  /* 14560 */ "Storage" "\0"
  /* 14568 */ "StorageEvent" "\0"
  /* 14581 */ "StorageManager" "\0"
  /* 14596 */ "StreamFilter" "\0"
  /* 14609 */ "StreamFilterDataEvent" "\0"
  /* 14631 */ "StructuredCloneHolder" "\0"
  /* 14653 */ "StructuredCloneTester" "\0"
  /* 14675 */ "StyleSheet" "\0"
  /* 14686 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14723 */ "StyleSheetList" "\0"
  /* 14738 */ "StyleSheetRemovedEvent" "\0"
  /* 14761 */ "SubmitEvent" "\0"
  /* 14773 */ "SubtleCrypto" "\0"
  /* 14786 */ "SyncMessageSender" "\0"
  /* 14804 */ "SyncReadFile" "\0"
  /* 14817 */ "TCPServerSocket" "\0"
  /* 14833 */ "TCPServerSocketEvent" "\0"
  /* 14854 */ "TCPSocket" "\0"
  /* 14864 */ "TCPSocketErrorEvent" "\0"
  /* 14884 */ "TCPSocketEvent" "\0"
  /* 14899 */ "TaskController" "\0"
  /* 14914 */ "TaskPriorityChangeEvent" "\0"
  /* 14938 */ "TaskSignal" "\0"
  /* 14949 */ "TestUtils" "\0"
  /* 14959 */ "TestingDeprecatedInterface" "\0"
  /* 14986 */ "Text" "\0"
  /* 14991 */ "TextClause" "\0"
  /* 15002 */ "TextDecoder" "\0"
  /* 15014 */ "TextDecoderStream" "\0"
  /* 15032 */ "TextEncoder" "\0"
  /* 15044 */ "TextEncoderStream" "\0"
  /* 15062 */ "TextEvent" "\0"
  /* 15072 */ "TextMetrics" "\0"
  /* 15084 */ "TextTrack" "\0"
  /* 15094 */ "TextTrackCue" "\0"
  /* 15107 */ "TextTrackCueList" "\0"
  /* 15124 */ "TextTrackList" "\0"
  /* 15138 */ "TimeEvent" "\0"
  /* 15148 */ "TimeRanges" "\0"
  /* 15159 */ "ToggleEvent" "\0"
  /* 15171 */ "Touch" "\0"
  /* 15177 */ "TouchEvent" "\0"
  /* 15188 */ "TouchList" "\0"
  /* 15198 */ "TrackEvent" "\0"
  /* 15209 */ "TransformStream" "\0"
  /* 15225 */ "TransformStreamDefaultController" "\0"
  /* 15258 */ "TransitionEvent" "\0"
  /* 15274 */ "TreeColumn" "\0"
  /* 15285 */ "TreeColumns" "\0"
  /* 15297 */ "TreeContentView" "\0"
  /* 15313 */ "TreeWalker" "\0"
  /* 15324 */ "TrustedHTML" "\0"
  /* 15336 */ "TrustedScript" "\0"
  /* 15350 */ "TrustedScriptURL" "\0"
  /* 15367 */ "TrustedTypePolicy" "\0"
  /* 15385 */ "TrustedTypePolicyFactory" "\0"
  /* 15410 */ "UDPMessageEvent" "\0"
  /* 15426 */ "UDPSocket" "\0"
  /* 15436 */ "UIEvent" "\0"
  /* 15444 */ "URL" "\0"
  /* 15448 */ "URLSearchParams" "\0"
  /* 15464 */ "URLSearchParams Iterator" "\0"
  /* 15489 */ "UniFFIPointer" "\0"
  /* 15503 */ "UniFFIScaffolding" "\0"
  /* 15521 */ "UserActivation" "\0"
  /* 15536 */ "UserInteraction" "\0"
  /* 15552 */ "UserProximityEvent" "\0"
  /* 15571 */ "VRDisplay" "\0"
  /* 15581 */ "VRDisplayCapabilities" "\0"
  /* 15603 */ "VRDisplayEvent" "\0"
  /* 15618 */ "VREyeParameters" "\0"
  /* 15634 */ "VRFieldOfView" "\0"
  /* 15648 */ "VRFrameData" "\0"
  /* 15660 */ "VRMockController" "\0"
  /* 15677 */ "VRMockDisplay" "\0"
  /* 15691 */ "VRPose" "\0"
  /* 15698 */ "VRServiceTest" "\0"
  /* 15712 */ "VRStageParameters" "\0"
  /* 15730 */ "VTTCue" "\0"
  /* 15737 */ "VTTRegion" "\0"
  /* 15747 */ "ValidityState" "\0"
  /* 15761 */ "VideoColorSpace" "\0"
  /* 15777 */ "VideoDecoder" "\0"
  /* 15790 */ "VideoEncoder" "\0"
  /* 15803 */ "VideoFrame" "\0"
  /* 15814 */ "VideoPlaybackQuality" "\0"
  /* 15835 */ "VideoTrack" "\0"
  /* 15846 */ "VideoTrackList" "\0"
  /* 15861 */ "ViewTransition" "\0"
  /* 15876 */ "VisualViewport" "\0"
  /* 15891 */ "WEBGL_color_buffer_float" "\0"
  /* 15916 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15946 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15975 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16005 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16036 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16066 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16101 */ "WEBGL_debug_renderer_info" "\0"
  /* 16127 */ "WEBGL_debug_shaders" "\0"
  /* 16147 */ "WEBGL_depth_texture" "\0"
  /* 16167 */ "WEBGL_draw_buffers" "\0"
  /* 16186 */ "WEBGL_explicit_present" "\0"
  /* 16209 */ "WEBGL_lose_context" "\0"
  /* 16228 */ "WEBGL_provoking_vertex" "\0"
  /* 16251 */ "WGSLLanguageFeatures" "\0"
  /* 16272 */ "WakeLock" "\0"
  /* 16281 */ "WakeLockSentinel" "\0"
  /* 16298 */ "WaveShaperNode" "\0"
  /* 16313 */ "WebExtensionContentScript" "\0"
  /* 16339 */ "WebExtensionPolicy" "\0"
  /* 16358 */ "WebGL2RenderingContext" "\0"
  /* 16381 */ "WebGLActiveInfo" "\0"
  /* 16397 */ "WebGLBuffer" "\0"
  /* 16409 */ "WebGLContextEvent" "\0"
  /* 16427 */ "WebGLFramebuffer" "\0"
  /* 16444 */ "WebGLProgram" "\0"
  /* 16457 */ "WebGLQuery" "\0"
  /* 16468 */ "WebGLRenderbuffer" "\0"
  /* 16486 */ "WebGLRenderingContext" "\0"
  /* 16508 */ "WebGLSampler" "\0"
  /* 16521 */ "WebGLShader" "\0"
  /* 16533 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16560 */ "WebGLSync" "\0"
  /* 16570 */ "WebGLTexture" "\0"
  /* 16583 */ "WebGLTransformFeedback" "\0"
  /* 16606 */ "WebGLUniformLocation" "\0"
  /* 16627 */ "WebGLVertexArrayObject" "\0"
  /* 16650 */ "WebKitCSSMatrix" "\0"
  /* 16666 */ "WebSocket" "\0"
  /* 16676 */ "WebTransport" "\0"
  /* 16689 */ "WebTransportBidirectionalStream" "\0"
  /* 16721 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16754 */ "WebTransportError" "\0"
  /* 16772 */ "WebTransportReceiveStream" "\0"
  /* 16798 */ "WebTransportSendStream" "\0"
  /* 16821 */ "WebrtcGlobalInformation" "\0"
  /* 16845 */ "WheelEvent" "\0"
  /* 16856 */ "Window" "\0"
  /* 16863 */ "WindowClient" "\0"
  /* 16876 */ "WindowContext" "\0"
  /* 16890 */ "WindowGlobalChild" "\0"
  /* 16908 */ "WindowGlobalParent" "\0"
  /* 16927 */ "WindowRoot" "\0"
  /* 16938 */ "Worker" "\0"
  /* 16945 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16971 */ "WorkerGlobalScope" "\0"
  /* 16989 */ "WorkerLocation" "\0"
  /* 17004 */ "WorkerNavigator" "\0"
  /* 17020 */ "WorkerTestUtils" "\0"
  /* 17036 */ "Worklet" "\0"
  /* 17044 */ "WorkletGlobalScope" "\0"
  /* 17063 */ "WritableStream" "\0"
  /* 17078 */ "WritableStreamDefaultController" "\0"
  /* 17110 */ "WritableStreamDefaultWriter" "\0"
  /* 17138 */ "XMLDocument" "\0"
  /* 17150 */ "XMLHttpRequest" "\0"
  /* 17165 */ "XMLHttpRequestEventTarget" "\0"
  /* 17191 */ "XMLHttpRequestUpload" "\0"
  /* 17212 */ "XMLSerializer" "\0"
  /* 17226 */ "XPathEvaluator" "\0"
  /* 17241 */ "XPathExpression" "\0"
  /* 17257 */ "XPathResult" "\0"
  /* 17269 */ "XRBoundedReferenceSpace" "\0"
  /* 17293 */ "XRFrame" "\0"
  /* 17301 */ "XRInputSource" "\0"
  /* 17315 */ "XRInputSourceArray" "\0"
  /* 17334 */ "XRInputSourceEvent" "\0"
  /* 17353 */ "XRInputSourcesChangeEvent" "\0"
  /* 17379 */ "XRPose" "\0"
  /* 17386 */ "XRReferenceSpace" "\0"
  /* 17403 */ "XRReferenceSpaceEvent" "\0"
  /* 17425 */ "XRRenderState" "\0"
  /* 17439 */ "XRRigidTransform" "\0"
  /* 17456 */ "XRSession" "\0"
  /* 17466 */ "XRSessionEvent" "\0"
  /* 17481 */ "XRSpace" "\0"
  /* 17489 */ "XRSystem" "\0"
  /* 17498 */ "XRView" "\0"
  /* 17505 */ "XRViewerPose" "\0"
  /* 17518 */ "XRViewport" "\0"
  /* 17529 */ "XRWebGLLayer" "\0"
  /* 17542 */ "XSLTProcessor" "\0"
  /* 17556 */ "XULCommandEvent" "\0"
  /* 17572 */ "XULElement" "\0"
  /* 17583 */ "XULFrameElement" "\0"
  /* 17599 */ "XULMenuElement" "\0"
  /* 17614 */ "XULPopupElement" "\0"
  /* 17630 */ "XULResizerElement" "\0"
  /* 17648 */ "XULTextElement" "\0"
  /* 17663 */ "XULTreeElement" "\0"
  /* 17678 */ "console" "\0"
  /* 17686 */ "webkitSpeechGrammar" "\0"
  /* 17706 */ "webkitSpeechGrammarList" "\0"
  /* 17730 */ "webkitSpeechRecognition" "\0"
  /* 17754 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

